DeluxHostAPI Reference
API tokens & permissions

List API permissions and token grants

GET
/v1/scopes

Authorization

apiToken account:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: account:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/scopes' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "scope": "string",      "description": "string",      "granted": true    }  ]}